Opened 4 weeks ago

Closed 3 weeks ago

#2561 closed task (fixed)

Ubuntu 23.10: no stable or mainline packages on nginx.org repo

Reported by: cyrax13@… Owned by:
Priority: major Milestone:
Component: nginx-package Version: 1.25.x
Keywords: mantic, ubuntu 23.10 Cc:
uname -a: Linux vmx117 6.5.0-10-generic #10-Ubuntu SMP PREEMPT_DYNAMIC Fri Oct 13 13:49:38 UTC 2023 x86_64 x86_64 x86_64 GNU/Linux
nginx -V: n/a

Description

Hello there!

Ubuntu 23.10 with code name mantic was released 12.10.2023.
There is only a stable version 1.24.0 in the basic OS repos:

# apt list nginx*
Listing... Done
nginx-common/mantic 1.24.0-1ubuntu1 all
nginx-confgen/mantic 2.1-1 amd64
nginx-core/mantic 1.24.0-1ubuntu1 all
nginx-dev/mantic 1.24.0-1ubuntu1 all
nginx-doc/mantic 1.24.0-1ubuntu1 all
nginx-extras/mantic 1.24.0-1ubuntu1 amd64
nginx-full/mantic 1.24.0-1ubuntu1 all
nginx-light/mantic 1.24.0-1ubuntu1 all
nginx/mantic 1.24.0-1ubuntu1 amd64

Im trying to use as usual nginx packages repo for Linux nginx.org according to https://nginx.org/en/linux_packages.html#Ubuntu

When trying to install a package:

# apt update
...
Ign:4 http://nginx.org/packages/ubuntu mantic InRelease
Err:5 http://nginx.org/packages/ubuntu mantic Release
...
Reading package lists... Done
E: The repository 'http://nginx.org/packages/ubuntu mantic Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.

Then I used direct links to find out if the package was in the repo:

There are no packages with mantiс code in the *.deb filenames on repo.

It is necessary to build stable and mainline versions of packages and place them in the nginx.org repo.

Thank you)

PS: a few technical details:

# uname -a
Linux vmx117 6.5.0-10-generic #10-Ubuntu SMP PREEMPT_DYNAMIC Fri Oct 13 13:49:38 UTC 2023 x86_64 x86_64 x86_64 GNU/Linux
# dpkg --list 'linux-image*'
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name                                  Version      Architecture Description
+++-=====================================-============-============-=================================
un  linux-image                           <none>       <none>       (no description available)
ii  linux-image-6.5.0-10-generic          6.5.0-10.10  amd64        Signed kernel image generic
ii  linux-image-6.5.0-9-generic           6.5.0-9.9    amd64        Signed kernel image generic
ii  linux-image-generic                   6.5.0.10.12  amd64        Generic Linux kernel image
un  linux-image-unsigned-6.5.0-10-generic <none>       <none>       (no description available)
un  linux-image-unsigned-6.5.0-9-generic  <none>       <none>       (no description available)
# lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description:    Ubuntu 23.10
Release:        23.10
Codename:       mantic
# cat /etc/os-release
PRETTY_NAME="Ubuntu 23.10"
NAME="Ubuntu"
VERSION_ID="23.10"
VERSION="23.10 (Mantic Minotaur)"
VERSION_CODENAME=mantic
ID=ubuntu

Change History (4)

comment:1 by thresh, 4 weeks ago

We are working on that, thanks for reminder.

comment:2 by thresh, 4 weeks ago

Now that the build issues are fixed, packages for Mantic are available for both stable and mainline versions in the usual repos.

I'll work on documenting the changes on https://nginx.org/en/linux_packages.html.

comment:3 by cyrax13@…, 4 weeks ago

Thank you very much for your efficiency :)

comment:4 by thresh, 3 weeks ago

Resolution: fixed
Status: newclosed
Note: See TracTickets for help on using tickets.